@import "variables.scss";

* {
  margin: 0;
  padding: 0;
}

body {
  background-color: #EEEEEF;
  & .header {
    position: fixed;
    width: 100%;
    height: 88px;
    margin: 0 auto;
    top: 0;
    z-index: 100;
    & .book-read-section {
      background-color: #10BBD5;
      height: 72px;
      display: flex;
      justify-content: space-between;
      & .left-book-read-section {
        display: flex;
        align-items: center;
        margin-left: 52px;
        text-decoration: none;
        & .left-book-read-section__logo-book {
          width: 26px;
          height: 26px;
          margin-right: 4px;
        }
        & .left-book-read-section__logo-book-span {
          color: #F8FDFE;
          font-family: var(--MainFont);
          font-size: 24px;
          font-style: normal;
          font-weight: 700;
          line-height: normal;
          text-decoration: none;
        }
      }
      & .cart-button {
        display: flex;
        align-items: center;
        margin-right: 52px;
        background-color: #10BBD5;
        cursor: pointer;
        position: relative;
        border: none;
        outline: none;
        &::after {
          content: '0';
          top: 28px;
          left: 77px;
          position: absolute;
          font-family: var(--MainFont);
          color: #000;
          font-size: 12px;
          font-style: normal;
          font-weight: 400;
          line-height: 10px;
        }
        & .cart-button__span {
          color: #F8FDFE;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          margin-right: 8px;
        }
      }
    }
    & .shop-by-category {
      height: 32px;
      background-color: #FFF;
      display: flex;
      justify-content: space-between;
      & .shop-by-category-left-part {
        list-style: none;
        margin-left: 52px;
        color: #000;
        font-family: Cabin, serif;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 24px;
      }
      & .shop-by-category-right-part {
        & ul {
          display: flex;
          list-style: none;
          margin-right: 52px;
          & li {
            & a {
              text-decoration: none;
              color: #000;
              font-family: Cabin, serif;
              font-size: 16px;
              font-style: normal;
              font-weight: 400;
              line-height: 24px;
            }
          }
          & li:nth-child(1), li:nth-child(2) {
            margin-right: 40px;
          }
        }
      }
    }
  }
}
.container {
  width: 1400px;
  height: 1912px;
  margin: 0 auto;
  position: relative;
  & .main {
    margin-top: 104px;
    & .main-title {
      margin: 16px 52px 25px 52px;
      color: #1F1F1F;
      font-family: var(--MainFont);
      font-size: 32px;
      font-style: normal;
      font-weight: 600;
      line-height: 78px;
      position: relative;
      border-bottom: 1px solid #A8A8A8;
      align-items: center;
      vertical-align: center;
    }
    & .cards-section {
      display: flex;
      flex-wrap: wrap;
      & .card-template {
        width: 306px;
        height: 512px;
        box-sizing: border-box;
        border: 1px solid lightgray;
        margin: 0 auto;
        text-align: center;
        & a {
          text-decoration: none;
          & .cards-template__card-image {
            margin-top: 32px;
          }
        }
        & a {
          & .cards-template__card-book-title {
            border-bottom: 1px solid var(--Gray);
            margin-right: 32px;
            color: var(--Black, #1F1F1F);
            text-overflow: ellipsis;
            white-space: nowrap;
            font-family: Cabin, serif;
            font-size: 20px;
            font-style: normal;
            font-weight: 700;
            line-height: 28px;
            margin-top: 16px;
            margin-left: 32px;
            text-align: left;
          }
        }
        & .cards-template__card-book-author {
          margin-right: 32px;
          color: var(--Gray, #8E8E8E);
          text-overflow: ellipsis;
          white-space: nowrap;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          margin-left: 32px;
          text-align: left;
          margin-top: 1px;
        }
        & .cards-template__card-book-price-div {
          margin-top: 8px;
          margin-bottom: 16px;
          display: flex;
          & .cards-template__card-book-price {
            color: #E90000;
            font-family: Cabin, serif;
            font-size: 24px;
            font-style: normal;
            font-weight: 500;
            line-height: 32px;
            margin-left: 32px;
            text-align: left;
          }
          & .cards-template__card-book-price.old-price {
            color: var(--Gray);
            font-family: Cabin, serif;
            font-size: 24px;
            font-style: normal;
            font-weight: 500;
            line-height: 32px; /* 133.333% */
            text-decoration: line-through;
          }
        }
        & .cards-template__card-button.brown {
          width: 242px;
          height: 40px;
          color: var(--White, #F8FDFE);
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          background-color: var(--ButtonBrown);
        }
        & .cards-template__card-button.green {
          width: 242px;
          height: 40px;
          color: var(--White, #F8FDFE);
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          background-color: var(--ButtonGreen);
        }
      }
      & .number-one {
        position: relative;
        margin-bottom: 32px;
        margin-left: 52px;
        &::after {
          content: 'Hit';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          background-color: #4200FF;
          border-radius: 4px;
          position: absolute;
          top: 32px;
          left: 30px;
        }
      }
      & .number-two {
        position: relative;
        &::after {
          content: 'New';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          border-radius: 4px;
          background-color: #AF39E7;
          padding: 4px 8px;
          position: absolute;
          top: 32px;
          left: 32px;
        }
      }
      & .number-three {
        position: relative;
        &::after {
          content: 'Hit';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          background-color: #4200FF;
          border-radius: 4px;
          position: absolute;
          top: 32px;
          left: 30px;
        }
        &::before {
          content: '10% off';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          border-radius: 4px;
          background-color: #EA33C0;
          position: absolute;
          top: 32px;
          left: 68px;
        }
      }
      & .number-four {
        margin-right: 52px;
      }
      & .number-five {
        position: relative;
        margin-bottom: 32px;
        margin-left: 52px;
        &::before {
          content: '16% off';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          border-radius: 4px;
          background-color: #EA33C0;
          position: absolute;
          top: 32px;
          left: 68px;
        }
        &::after {
          content: 'Hit';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          background-color: #4200FF;
          border-radius: 4px;
          position: absolute;
          top: 32px;
          left: 30px;
        }
      }
      & .number-six {
        position: relative;
        &::before {
          content: '11% off';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          border-radius: 4px;
          background-color: #EA33C0;
          position: absolute;
          top: 32px;
          left: 77px;
        }
        &::after {
          content: 'New';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          border-radius: 4px;
          background-color: #AF39E7;
          padding: 4px 8px;
          position: absolute;
          top: 32px;
          left: 28px;
        }
      }
      & .number-seven {
        position: relative;
        &::before {
          content: '7% off';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          border-radius: 4px;
          background-color: #EA33C0;
          position: absolute;
          top: 32px;
          left: 69px;
        }
        &::after {
          content: 'Hit';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          background-color: #4200FF;
          border-radius: 4px;
          position: absolute;
          top: 32px;
          left: 30px;
        }
      }
      & .number-eight {
        margin-right: 52px;
      }
      & .card-template.number-eight h3 {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        margin-right: 32px;
      }
      & .number-nine {
        margin-left: 52px;
        margin-bottom: 120px;
      }
      & .number-ten {
        position: relative;
        &::before {
          content: '20% off';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          border-radius: 4px;
          background-color: #EA33C0;
          position: absolute;
          top: 32px;
          left: 32px;
        }
      }
      & .number-eleven {
        position: relative;
        &::after {
          content: 'New';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          border-radius: 4px;
          background-color: #AF39E7;
          padding: 4px 8px;
          position: absolute;
          top: 32px;
          left: 31px;
        }

        &::before {
          content: '30% off';
          color: #F8FDFE;
          text-align: center;
          font-family: Cabin, serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 400;
          line-height: 24px;
          padding: 4px 8px;
          border-radius: 4px;
          background-color: #EA33C0;
          position: absolute;
          top: 32px;
          left: 80px;
        }
      }
      & .number-twelve {
        margin-right: 52px;
      }
    }
    & .chat-button {
      background-image: url("../images/сhat.png");
      background-position: center;
      width: 64px;
      height: 64px;
      flex-shrink: 0;
      position: fixed;
      top: 90%;
      left: 89%;
      border-radius: 50%;
      border: none;
    }
  }
}

.footer {
  height: 88px;
  background-color: var(--Eggplant);
  display: flex;
  justify-content: space-between;
  color: var(--White);
  font-family: Cabin, serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
  .footer__left-part {
    margin-left: 52px;
    line-height: 88px;
    &::before {
      content: "\00A9 \00A0";
    }
  }
  .footer__right-part {
    margin-right: 52px;
    line-height: 88px;
  }
}